## edu.cwru.SimpleRTS.model
Class Template.TemplateView

    java.lang.Object
      edu.cwru.SimpleRTS.model.Template.TemplateView

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  UnitTemplate.UnitTemplateView

Enclosing class:
  Template<T>

    public static class Template.TemplateView

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Template.TemplateView(Template template)`

Method Summary
`boolean` `canProduce(State.StateView state)`
`int` `getFoodCost()`
`int` `getGoldCost()`
`int` `getID()`
`int` `getPlayer()`
`int` `getTimeCost()`
`int` `getWoodCost()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Template.TemplateView

    public Template.TemplateView(Template template)

Method Detail

### getTimeCost

    public int getTimeCost()

### getGoldCost

    public int getGoldCost()

### getWoodCost

    public int getWoodCost()

### getFoodCost

    public int getFoodCost()

### getID

    public int getID()

### getPlayer

    public int getPlayer()

### canProduce

    public boolean canProduce(State.StateView state)